Changeset 1161


Ignore:
Timestamp:
Aug 27, 2008 5:48:43 AM (11 years ago)
Author:
stefan
Message:

synchronize with trunk rev. 1160

Location:
ThirdParty/Mumps/stable/1.1
Files:
1 deleted
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/stable/1.1/INSTALL.MUMPS

    r1155 r1161  
    4848
    4949If you are trying to build Mumps in Microsoft Windows using the MSys shell
    50 environment, you will first need to install the MinGW gcc 4.2 technology
    51 preview in order obtain a Fortran 95 compliant Fortran compiler. GCC 4.2 is
    52 available here:
     50environment and gnu fortran compilers, you will first need to install the
     51MinGW gcc 4.2 technology preview in order obtain a Fortran 95 compliant
     52Fortran compiler. GCC 4.2 is available here:
    5353
    5454http://sourceforge.net/project/showfiles.php?group_id=2435&package_id=241304
    5555
     56/*
    5657You need to install the gcc-core, gcc-g++, and gcc-gfortran packages. After
    5758installing these packages, you will also need to patch Mumps by executing the
     
    6465NOTE: THE ABOVE PATCH WAS FOR ONLY FOR THE 4.7.3 VERSION, WE DON'T HAVE A
    6566      PATCH FOR A LATER VERSION YET (MAYBE IT IS NOT REQUIRED)!!!
     67*/
    6668
    6769Note the executable names in the gcc packages have the suffix "sjlj" and will
  • ThirdParty/Mumps/stable/1.1/configure

    r1158 r1161  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS MY_DEFS EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 FLIBS CPP EGREP MY_DEFS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS MUMPSINCDIR MUMPSLIB COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE MUMPS_INCFLAGS COIN_BUILD_MUMPS_TRUE COIN_BUILD_MUMPS_FALSE MAKEOKFILE SKIPMAKE_TRUE SKIPMAKE_FALSE MUMPSDIR LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    47124712  ;;
    47134713esac
     4714
     4715# check for pthread.h header file
     4716ac_ext=c
     4717ac_cpp='$CPP $CPPFLAGS'
     4718ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4719ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4720ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4721echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
     4722echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
     4723# On Suns, sometimes $CPP names a directory.
     4724if test -n "$CPP" && test -d "$CPP"; then
     4725  CPP=
     4726fi
     4727if test -z "$CPP"; then
     4728  if test "${ac_cv_prog_CPP+set}" = set; then
     4729  echo $ECHO_N "(cached) $ECHO_C" >&6
     4730else
     4731      # Double quotes because CPP needs to be expanded
     4732    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
     4733    do
     4734      ac_preproc_ok=false
     4735for ac_c_preproc_warn_flag in '' yes
     4736do
     4737  # Use a header file that comes with gcc, so configuring glibc
     4738  # with a fresh cross-compiler works.
     4739  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     4740  # <limits.h> exists even on freestanding compilers.
     4741  # On the NeXT, cc -E runs the code through the compiler's parser,
     4742  # not just through cpp. "Syntax error" is here to catch this case.
     4743  cat >conftest.$ac_ext <<_ACEOF
     4744/* confdefs.h.  */
     4745_ACEOF
     4746cat confdefs.h >>conftest.$ac_ext
     4747cat >>conftest.$ac_ext <<_ACEOF
     4748/* end confdefs.h.  */
     4749#ifdef __STDC__
     4750# include <limits.h>
     4751#else
     4752# include <assert.h>
     4753#endif
     4754                     Syntax error
     4755_ACEOF
     4756if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4757  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4758  ac_status=$?
     4759  grep -v '^ *+' conftest.er1 >conftest.err
     4760  rm -f conftest.er1
     4761  cat conftest.err >&5
     4762  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4763  (exit $ac_status); } >/dev/null; then
     4764  if test -s conftest.err; then
     4765    ac_cpp_err=$ac_c_preproc_warn_flag
     4766    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4767  else
     4768    ac_cpp_err=
     4769  fi
     4770else
     4771  ac_cpp_err=yes
     4772fi
     4773if test -z "$ac_cpp_err"; then
     4774  :
     4775else
     4776  echo "$as_me: failed program was:" >&5
     4777sed 's/^/| /' conftest.$ac_ext >&5
     4778
     4779  # Broken: fails on valid input.
     4780continue
     4781fi
     4782rm -f conftest.err conftest.$ac_ext
     4783
     4784  # OK, works on sane cases.  Now check whether non-existent headers
     4785  # can be detected and how.
     4786  cat >conftest.$ac_ext <<_ACEOF
     4787/* confdefs.h.  */
     4788_ACEOF
     4789cat confdefs.h >>conftest.$ac_ext
     4790cat >>conftest.$ac_ext <<_ACEOF
     4791/* end confdefs.h.  */
     4792#include <ac_nonexistent.h>
     4793_ACEOF
     4794if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4795  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4796  ac_status=$?
     4797  grep -v '^ *+' conftest.er1 >conftest.err
     4798  rm -f conftest.er1
     4799  cat conftest.err >&5
     4800  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4801  (exit $ac_status); } >/dev/null; then
     4802  if test -s conftest.err; then
     4803    ac_cpp_err=$ac_c_preproc_warn_flag
     4804    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4805  else
     4806    ac_cpp_err=
     4807  fi
     4808else
     4809  ac_cpp_err=yes
     4810fi
     4811if test -z "$ac_cpp_err"; then
     4812  # Broken: success on invalid input.
     4813continue
     4814else
     4815  echo "$as_me: failed program was:" >&5
     4816sed 's/^/| /' conftest.$ac_ext >&5
     4817
     4818  # Passes both tests.
     4819ac_preproc_ok=:
     4820break
     4821fi
     4822rm -f conftest.err conftest.$ac_ext
     4823
     4824done
     4825# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     4826rm -f conftest.err conftest.$ac_ext
     4827if $ac_preproc_ok; then
     4828  break
     4829fi
     4830
     4831    done
     4832    ac_cv_prog_CPP=$CPP
     4833
     4834fi
     4835  CPP=$ac_cv_prog_CPP
     4836else
     4837  ac_cv_prog_CPP=$CPP
     4838fi
     4839echo "$as_me:$LINENO: result: $CPP" >&5
     4840echo "${ECHO_T}$CPP" >&6
     4841ac_preproc_ok=false
     4842for ac_c_preproc_warn_flag in '' yes
     4843do
     4844  # Use a header file that comes with gcc, so configuring glibc
     4845  # with a fresh cross-compiler works.
     4846  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     4847  # <limits.h> exists even on freestanding compilers.
     4848  # On the NeXT, cc -E runs the code through the compiler's parser,
     4849  # not just through cpp. "Syntax error" is here to catch this case.
     4850  cat >conftest.$ac_ext <<_ACEOF
     4851/* confdefs.h.  */
     4852_ACEOF
     4853cat confdefs.h >>conftest.$ac_ext
     4854cat >>conftest.$ac_ext <<_ACEOF
     4855/* end confdefs.h.  */
     4856#ifdef __STDC__
     4857# include <limits.h>
     4858#else
     4859# include <assert.h>
     4860#endif
     4861                     Syntax error
     4862_ACEOF
     4863if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4864  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4865  ac_status=$?
     4866  grep -v '^ *+' conftest.er1 >conftest.err
     4867  rm -f conftest.er1
     4868  cat conftest.err >&5
     4869  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4870  (exit $ac_status); } >/dev/null; then
     4871  if test -s conftest.err; then
     4872    ac_cpp_err=$ac_c_preproc_warn_flag
     4873    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4874  else
     4875    ac_cpp_err=
     4876  fi
     4877else
     4878  ac_cpp_err=yes
     4879fi
     4880if test -z "$ac_cpp_err"; then
     4881  :
     4882else
     4883  echo "$as_me: failed program was:" >&5
     4884sed 's/^/| /' conftest.$ac_ext >&5
     4885
     4886  # Broken: fails on valid input.
     4887continue
     4888fi
     4889rm -f conftest.err conftest.$ac_ext
     4890
     4891  # OK, works on sane cases.  Now check whether non-existent headers
     4892  # can be detected and how.
     4893  cat >conftest.$ac_ext <<_ACEOF
     4894/* confdefs.h.  */
     4895_ACEOF
     4896cat confdefs.h >>conftest.$ac_ext
     4897cat >>conftest.$ac_ext <<_ACEOF
     4898/* end confdefs.h.  */
     4899#include <ac_nonexistent.h>
     4900_ACEOF
     4901if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4902  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4903  ac_status=$?
     4904  grep -v '^ *+' conftest.er1 >conftest.err
     4905  rm -f conftest.er1
     4906  cat conftest.err >&5
     4907  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4908  (exit $ac_status); } >/dev/null; then
     4909  if test -s conftest.err; then
     4910    ac_cpp_err=$ac_c_preproc_warn_flag
     4911    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4912  else
     4913    ac_cpp_err=
     4914  fi
     4915else
     4916  ac_cpp_err=yes
     4917fi
     4918if test -z "$ac_cpp_err"; then
     4919  # Broken: success on invalid input.
     4920continue
     4921else
     4922  echo "$as_me: failed program was:" >&5
     4923sed 's/^/| /' conftest.$ac_ext >&5
     4924
     4925  # Passes both tests.
     4926ac_preproc_ok=:
     4927break
     4928fi
     4929rm -f conftest.err conftest.$ac_ext
     4930
     4931done
     4932# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     4933rm -f conftest.err conftest.$ac_ext
     4934if $ac_preproc_ok; then
     4935  :
     4936else
     4937  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
     4938See \`config.log' for more details." >&5
     4939echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
     4940See \`config.log' for more details." >&2;}
     4941   { (exit 1); exit 1; }; }
     4942fi
     4943
     4944ac_ext=c
     4945ac_cpp='$CPP $CPPFLAGS'
     4946ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     4947ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     4948ac_compiler_gnu=$ac_cv_c_compiler_gnu
     4949
     4950
     4951echo "$as_me:$LINENO: checking for egrep" >&5
     4952echo $ECHO_N "checking for egrep... $ECHO_C" >&6
     4953if test "${ac_cv_prog_egrep+set}" = set; then
     4954  echo $ECHO_N "(cached) $ECHO_C" >&6
     4955else
     4956  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
     4957    then ac_cv_prog_egrep='grep -E'
     4958    else ac_cv_prog_egrep='egrep'
     4959    fi
     4960fi
     4961echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
     4962echo "${ECHO_T}$ac_cv_prog_egrep" >&6
     4963 EGREP=$ac_cv_prog_egrep
     4964
     4965
     4966echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     4967echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     4968if test "${ac_cv_header_stdc+set}" = set; then
     4969  echo $ECHO_N "(cached) $ECHO_C" >&6
     4970else
     4971  cat >conftest.$ac_ext <<_ACEOF
     4972/* confdefs.h.  */
     4973_ACEOF
     4974cat confdefs.h >>conftest.$ac_ext
     4975cat >>conftest.$ac_ext <<_ACEOF
     4976/* end confdefs.h.  */
     4977#include <stdlib.h>
     4978#include <stdarg.h>
     4979#include <string.h>
     4980#include <float.h>
     4981
     4982#ifdef F77_DUMMY_MAIN
     4983
     4984#  ifdef __cplusplus
     4985     extern "C"
     4986#  endif
     4987   int F77_DUMMY_MAIN() { return 1; }
     4988
     4989#endif
     4990int
     4991main ()
     4992{
     4993
     4994  ;
     4995  return 0;
     4996}
     4997_ACEOF
     4998rm -f conftest.$ac_objext
     4999if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5000  (eval $ac_compile) 2>conftest.er1
     5001  ac_status=$?
     5002  grep -v '^ *+' conftest.er1 >conftest.err
     5003  rm -f conftest.er1
     5004  cat conftest.err >&5
     5005  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5006  (exit $ac_status); } &&
     5007         { ac_try='test -z "$ac_c_werror_flag"
     5008                         || test ! -s conftest.err'
     5009  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5010  (eval $ac_try) 2>&5
     5011  ac_status=$?
     5012  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5013  (exit $ac_status); }; } &&
     5014         { ac_try='test -s conftest.$ac_objext'
     5015  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5016  (eval $ac_try) 2>&5
     5017  ac_status=$?
     5018  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5019  (exit $ac_status); }; }; then
     5020  ac_cv_header_stdc=yes
     5021else
     5022  echo "$as_me: failed program was:" >&5
     5023sed 's/^/| /' conftest.$ac_ext >&5
     5024
     5025ac_cv_header_stdc=no
     5026fi
     5027rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5028
     5029if test $ac_cv_header_stdc = yes; then
     5030  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     5031  cat >conftest.$ac_ext <<_ACEOF
     5032/* confdefs.h.  */
     5033_ACEOF
     5034cat confdefs.h >>conftest.$ac_ext
     5035cat >>conftest.$ac_ext <<_ACEOF
     5036/* end confdefs.h.  */
     5037#include <string.h>
     5038
     5039_ACEOF
     5040if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     5041  $EGREP "memchr" >/dev/null 2>&1; then
     5042  :
     5043else
     5044  ac_cv_header_stdc=no
     5045fi
     5046rm -f conftest*
     5047
     5048fi
     5049
     5050if test $ac_cv_header_stdc = yes; then
     5051  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     5052  cat >conftest.$ac_ext <<_ACEOF
     5053/* confdefs.h.  */
     5054_ACEOF
     5055cat confdefs.h >>conftest.$ac_ext
     5056cat >>conftest.$ac_ext <<_ACEOF
     5057/* end confdefs.h.  */
     5058#include <stdlib.h>
     5059
     5060_ACEOF
     5061if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     5062  $EGREP "free" >/dev/null 2>&1; then
     5063  :
     5064else
     5065  ac_cv_header_stdc=no
     5066fi
     5067rm -f conftest*
     5068
     5069fi
     5070
     5071if test $ac_cv_header_stdc = yes; then
     5072  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     5073  if test "$cross_compiling" = yes; then
     5074  :
     5075else
     5076  cat >conftest.$ac_ext <<_ACEOF
     5077/* confdefs.h.  */
     5078_ACEOF
     5079cat confdefs.h >>conftest.$ac_ext
     5080cat >>conftest.$ac_ext <<_ACEOF
     5081/* end confdefs.h.  */
     5082#include <ctype.h>
     5083#if ((' ' & 0x0FF) == 0x020)
     5084# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     5085# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     5086#else
     5087# define ISLOWER(c) \
     5088                   (('a' <= (c) && (c) <= 'i') \
     5089                     || ('j' <= (c) && (c) <= 'r') \
     5090                     || ('s' <= (c) && (c) <= 'z'))
     5091# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     5092#endif
     5093
     5094#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     5095int
     5096main ()
     5097{
     5098  int i;
     5099  for (i = 0; i < 256; i++)
     5100    if (XOR (islower (i), ISLOWER (i))
     5101        || toupper (i) != TOUPPER (i))
     5102      exit(2);
     5103  exit (0);
     5104}
     5105_ACEOF
     5106rm -f conftest$ac_exeext
     5107if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5108  (eval $ac_link) 2>&5
     5109  ac_status=$?
     5110  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5111  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     5112  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5113  (eval $ac_try) 2>&5
     5114  ac_status=$?
     5115  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5116  (exit $ac_status); }; }; then
     5117  :
     5118else
     5119  echo "$as_me: program exited with status $ac_status" >&5
     5120echo "$as_me: failed program was:" >&5
     5121sed 's/^/| /' conftest.$ac_ext >&5
     5122
     5123( exit $ac_status )
     5124ac_cv_header_stdc=no
     5125fi
     5126rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     5127fi
     5128fi
     5129fi
     5130echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     5131echo "${ECHO_T}$ac_cv_header_stdc" >&6
     5132if test $ac_cv_header_stdc = yes; then
     5133
     5134cat >>confdefs.h <<\_ACEOF
     5135#define STDC_HEADERS 1
     5136_ACEOF
     5137
     5138fi
     5139
     5140# On IRIX 5.3, sys/types and inttypes.h are conflicting.
     5141
     5142
     5143
     5144
     5145
     5146
     5147
     5148
     5149
     5150for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
     5151                  inttypes.h stdint.h unistd.h
     5152do
     5153as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5154echo "$as_me:$LINENO: checking for $ac_header" >&5
     5155echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5156if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5157  echo $ECHO_N "(cached) $ECHO_C" >&6
     5158else
     5159  cat >conftest.$ac_ext <<_ACEOF
     5160/* confdefs.h.  */
     5161_ACEOF
     5162cat confdefs.h >>conftest.$ac_ext
     5163cat >>conftest.$ac_ext <<_ACEOF
     5164/* end confdefs.h.  */
     5165$ac_includes_default
     5166
     5167#include <$ac_header>
     5168_ACEOF
     5169rm -f conftest.$ac_objext
     5170if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5171  (eval $ac_compile) 2>conftest.er1
     5172  ac_status=$?
     5173  grep -v '^ *+' conftest.er1 >conftest.err
     5174  rm -f conftest.er1
     5175  cat conftest.err >&5
     5176  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5177  (exit $ac_status); } &&
     5178         { ac_try='test -z "$ac_c_werror_flag"
     5179                         || test ! -s conftest.err'
     5180  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5181  (eval $ac_try) 2>&5
     5182  ac_status=$?
     5183  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5184  (exit $ac_status); }; } &&
     5185         { ac_try='test -s conftest.$ac_objext'
     5186  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5187  (eval $ac_try) 2>&5
     5188  ac_status=$?
     5189  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5190  (exit $ac_status); }; }; then
     5191  eval "$as_ac_Header=yes"
     5192else
     5193  echo "$as_me: failed program was:" >&5
     5194sed 's/^/| /' conftest.$ac_ext >&5
     5195
     5196eval "$as_ac_Header=no"
     5197fi
     5198rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5199fi
     5200echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5201echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5202if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5203  cat >>confdefs.h <<_ACEOF
     5204#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5205_ACEOF
     5206
     5207fi
     5208
     5209done
     5210
     5211
     5212#if test x"" = x; then
     5213#  hdr="#include <pthread.h>"
     5214#else
     5215#  hdr=""
     5216#fi
     5217#AC_CHECK_HEADERS([pthread.h],[],[MY_DEFS="$MY_DEFS -DWITHOUT_PTHREAD=1"],[$hdr])
     5218
     5219for ac_header in pthread.h
     5220do
     5221as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     5222if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5223  echo "$as_me:$LINENO: checking for $ac_header" >&5
     5224echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5225if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5226  echo $ECHO_N "(cached) $ECHO_C" >&6
     5227fi
     5228echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5229echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5230else
     5231  # Is the header compilable?
     5232echo "$as_me:$LINENO: checking $ac_header usability" >&5
     5233echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     5234cat >conftest.$ac_ext <<_ACEOF
     5235/* confdefs.h.  */
     5236_ACEOF
     5237cat confdefs.h >>conftest.$ac_ext
     5238cat >>conftest.$ac_ext <<_ACEOF
     5239/* end confdefs.h.  */
     5240$ac_includes_default
     5241#include <$ac_header>
     5242_ACEOF
     5243rm -f conftest.$ac_objext
     5244if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5245  (eval $ac_compile) 2>conftest.er1
     5246  ac_status=$?
     5247  grep -v '^ *+' conftest.er1 >conftest.err
     5248  rm -f conftest.er1
     5249  cat conftest.err >&5
     5250  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5251  (exit $ac_status); } &&
     5252         { ac_try='test -z "$ac_c_werror_flag"
     5253                         || test ! -s conftest.err'
     5254  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5255  (eval $ac_try) 2>&5
     5256  ac_status=$?
     5257  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5258  (exit $ac_status); }; } &&
     5259         { ac_try='test -s conftest.$ac_objext'
     5260  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5261  (eval $ac_try) 2>&5
     5262  ac_status=$?
     5263  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5264  (exit $ac_status); }; }; then
     5265  ac_header_compiler=yes
     5266else
     5267  echo "$as_me: failed program was:" >&5
     5268sed 's/^/| /' conftest.$ac_ext >&5
     5269
     5270ac_header_compiler=no
     5271fi
     5272rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5273echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5274echo "${ECHO_T}$ac_header_compiler" >&6
     5275
     5276# Is the header present?
     5277echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5278echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5279cat >conftest.$ac_ext <<_ACEOF
     5280/* confdefs.h.  */
     5281_ACEOF
     5282cat confdefs.h >>conftest.$ac_ext
     5283cat >>conftest.$ac_ext <<_ACEOF
     5284/* end confdefs.h.  */
     5285#include <$ac_header>
     5286_ACEOF
     5287if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5288  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5289  ac_status=$?
     5290  grep -v '^ *+' conftest.er1 >conftest.err
     5291  rm -f conftest.er1
     5292  cat conftest.err >&5
     5293  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5294  (exit $ac_status); } >/dev/null; then
     5295  if test -s conftest.err; then
     5296    ac_cpp_err=$ac_c_preproc_warn_flag
     5297    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5298  else
     5299    ac_cpp_err=
     5300  fi
     5301else
     5302  ac_cpp_err=yes
     5303fi
     5304if test -z "$ac_cpp_err"; then
     5305  ac_header_preproc=yes
     5306else
     5307  echo "$as_me: failed program was:" >&5
     5308sed 's/^/| /' conftest.$ac_ext >&5
     5309
     5310  ac_header_preproc=no
     5311fi
     5312rm -f conftest.err conftest.$ac_ext
     5313echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5314echo "${ECHO_T}$ac_header_preproc" >&6
     5315
     5316# So?  What about this header?
     5317case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5318  yes:no: )
     5319    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5320echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5321    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5322echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5323    ac_header_preproc=yes
     5324    ;;
     5325  no:yes:* )
     5326    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5327echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5328    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5329echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5330    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5331echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5332    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5333echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5334    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5335echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5336    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5337echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5338    (
     5339      cat <<\_ASBOX
     5340## --------------------------------------------------------------- ##
     5341## Report this to http://projects.coin-or.org/BuildTools/newticket ##
     5342## --------------------------------------------------------------- ##
     5343_ASBOX
     5344    ) |
     5345      sed "s/^/$as_me: WARNING:     /" >&2
     5346    ;;
     5347esac
     5348echo "$as_me:$LINENO: checking for $ac_header" >&5
     5349echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5350if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5351  echo $ECHO_N "(cached) $ECHO_C" >&6
     5352else
     5353  eval "$as_ac_Header=\$ac_header_preproc"
     5354fi
     5355echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5356echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5357
     5358fi
     5359if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5360  cat >>confdefs.h <<_ACEOF
     5361#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5362_ACEOF
     5363
     5364else
     5365  MY_DEFS="$MY_DEFS -DWITHOUT_PTHREAD=1"
     5366fi
     5367
     5368done
     5369
     5370
     5371
    47145372MY_DEFS="$MY_DEFS -DALLOW_NON_INIT"
    47155373
     
    47895447
    47905448# Initialize automake
    4791 echo "$as_me:$LINENO: checking for egrep" >&5
    4792 echo $ECHO_N "checking for egrep... $ECHO_C" >&6
    4793 if test "${ac_cv_prog_egrep+set}" = set; then
    4794   echo $ECHO_N "(cached) $ECHO_C" >&6
    4795 else
    4796   if echo a | (grep -E '(a|b)') >/dev/null 2>&1
    4797     then ac_cv_prog_egrep='grep -E'
    4798     else ac_cv_prog_egrep='egrep'
    4799     fi
    4800 fi
    4801 echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
    4802 echo "${ECHO_T}$ac_cv_prog_egrep" >&6
    4803  EGREP=$ac_cv_prog_egrep
    4804 
    4805 
    48065449am__api_version="1.9"
    48075450# Find a good install program.  We prefer a C program (faster),
     
    63486991*-*-irix6*)
    63496992  # Find out which ABI we are using.
    6350   echo '#line 6350 "configure"' > conftest.$ac_ext
     6993  echo '#line 6993 "configure"' > conftest.$ac_ext
    63516994  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63526995  (eval $ac_compile) 2>&5
     
    65367179
    65377180need_locks="$enable_libtool_lock"
    6538 
    6539 
    6540 ac_ext=c
    6541 ac_cpp='$CPP $CPPFLAGS'
    6542 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    6543 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    6544 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    6545 echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
    6546 echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
    6547 # On Suns, sometimes $CPP names a directory.
    6548 if test -n "$CPP" && test -d "$CPP"; then
    6549   CPP=
    6550 fi
    6551 if test -z "$CPP"; then
    6552   if test "${ac_cv_prog_CPP+set}" = set; then
    6553   echo $ECHO_N "(cached) $ECHO_C" >&6
    6554 else
    6555       # Double quotes because CPP needs to be expanded
    6556     for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    6557     do
    6558       ac_preproc_ok=false
    6559 for ac_c_preproc_warn_flag in '' yes
    6560 do
    6561   # Use a header file that comes with gcc, so configuring glibc
    6562   # with a fresh cross-compiler works.
    6563   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    6564   # <limits.h> exists even on freestanding compilers.
    6565   # On the NeXT, cc -E runs the code through the compiler's parser,
    6566   # not just through cpp. "Syntax error" is here to catch this case.
    6567   cat >conftest.$ac_ext <<_ACEOF
    6568 /* confdefs.h.  */
    6569 _ACEOF
    6570 cat confdefs.h >>conftest.$ac_ext
    6571 cat >>conftest.$ac_ext <<_ACEOF
    6572 /* end confdefs.h.  */
    6573 #ifdef __STDC__
    6574 # include <limits.h>
    6575 #else
    6576 # include <assert.h>
    6577 #endif
    6578                      Syntax error
    6579 _ACEOF
    6580 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6581   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6582   ac_status=$?
    6583   grep -v '^ *+' conftest.er1 >conftest.err
    6584   rm -f conftest.er1
    6585   cat conftest.err >&5
    6586   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6587   (exit $ac_status); } >/dev/null; then
    6588   if test -s conftest.err; then
    6589     ac_cpp_err=$ac_c_preproc_warn_flag
    6590     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6591   else
    6592     ac_cpp_err=
    6593   fi
    6594 else
    6595   ac_cpp_err=yes
    6596 fi
    6597 if test -z "$ac_cpp_err"; then
    6598   :
    6599 else
    6600   echo "$as_me: failed program was:" >&5
    6601 sed 's/^/| /' conftest.$ac_ext >&5
    6602 
    6603   # Broken: fails on valid input.
    6604 continue
    6605 fi
    6606 rm -f conftest.err conftest.$ac_ext
    6607 
    6608   # OK, works on sane cases.  Now check whether non-existent headers
    6609   # can be detected and how.
    6610   cat >conftest.$ac_ext <<_ACEOF
    6611 /* confdefs.h.  */
    6612 _ACEOF
    6613 cat confdefs.h >>conftest.$ac_ext
    6614 cat >>conftest.$ac_ext <<_ACEOF
    6615 /* end confdefs.h.  */
    6616 #include <ac_nonexistent.h>
    6617 _ACEOF
    6618 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6619   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6620   ac_status=$?
    6621   grep -v '^ *+' conftest.er1 >conftest.err
    6622   rm -f conftest.er1
    6623   cat conftest.err >&5
    6624   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6625   (exit $ac_status); } >/dev/null; then
    6626   if test -s conftest.err; then
    6627     ac_cpp_err=$ac_c_preproc_warn_flag
    6628     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6629   else
    6630     ac_cpp_err=
    6631   fi
    6632 else
    6633   ac_cpp_err=yes
    6634 fi
    6635 if test -z "$ac_cpp_err"; then
    6636   # Broken: success on invalid input.
    6637 continue
    6638 else
    6639   echo "$as_me: failed program was:" >&5
    6640 sed 's/^/| /' conftest.$ac_ext >&5
    6641 
    6642   # Passes both tests.
    6643 ac_preproc_ok=:
    6644 break
    6645 fi
    6646 rm -f conftest.err conftest.$ac_ext
    6647 
    6648 done
    6649 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    6650 rm -f conftest.err conftest.$ac_ext
    6651 if $ac_preproc_ok; then
    6652   break
    6653 fi
    6654 
    6655     done
    6656     ac_cv_prog_CPP=$CPP
    6657 
    6658 fi
    6659   CPP=$ac_cv_prog_CPP
    6660 else
    6661   ac_cv_prog_CPP=$CPP
    6662 fi
    6663 echo "$as_me:$LINENO: result: $CPP" >&5
    6664 echo "${ECHO_T}$CPP" >&6
    6665 ac_preproc_ok=false
    6666 for ac_c_preproc_warn_flag in '' yes
    6667 do
    6668   # Use a header file that comes with gcc, so configuring glibc
    6669   # with a fresh cross-compiler works.
    6670   # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    6671   # <limits.h> exists even on freestanding compilers.
    6672   # On the NeXT, cc -E runs the code through the compiler's parser,
    6673   # not just through cpp. "Syntax error" is here to catch this case.
    6674   cat >conftest.$ac_ext <<_ACEOF
    6675 /* confdefs.h.  */
    6676 _ACEOF
    6677 cat confdefs.h >>conftest.$ac_ext
    6678 cat >>conftest.$ac_ext <<_ACEOF
    6679 /* end confdefs.h.  */
    6680 #ifdef __STDC__
    6681 # include <limits.h>
    6682 #else
    6683 # include <assert.h>
    6684 #endif
    6685                      Syntax error
    6686 _ACEOF
    6687 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6688   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6689   ac_status=$?
    6690   grep -v '^ *+' conftest.er1 >conftest.err
    6691   rm -f conftest.er1
    6692   cat conftest.err >&5
    6693   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6694   (exit $ac_status); } >/dev/null; then
    6695   if test -s conftest.err; then
    6696     ac_cpp_err=$ac_c_preproc_warn_flag
    6697     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6698   else
    6699     ac_cpp_err=
    6700   fi
    6701 else
    6702   ac_cpp_err=yes
    6703 fi
    6704 if test -z "$ac_cpp_err"; then
    6705   :
    6706 else
    6707   echo "$as_me: failed program was:" >&5
    6708 sed 's/^/| /' conftest.$ac_ext >&5
    6709 
    6710   # Broken: fails on valid input.
    6711 continue
    6712 fi
    6713 rm -f conftest.err conftest.$ac_ext
    6714 
    6715   # OK, works on sane cases.  Now check whether non-existent headers
    6716   # can be detected and how.
    6717   cat >conftest.$ac_ext <<_ACEOF
    6718 /* confdefs.h.  */
    6719 _ACEOF
    6720 cat confdefs.h >>conftest.$ac_ext
    6721 cat >>conftest.$ac_ext <<_ACEOF
    6722 /* end confdefs.h.  */
    6723 #include <ac_nonexistent.h>
    6724 _ACEOF
    6725 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    6726   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    6727   ac_status=$?
    6728   grep -v '^ *+' conftest.er1 >conftest.err
    6729   rm -f conftest.er1
    6730   cat conftest.err >&5
    6731   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6732   (exit $ac_status); } >/dev/null; then
    6733   if test -s conftest.err; then
    6734     ac_cpp_err=$ac_c_preproc_warn_flag
    6735     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    6736   else
    6737     ac_cpp_err=
    6738   fi
    6739 else
    6740   ac_cpp_err=yes
    6741 fi
    6742 if test -z "$ac_cpp_err"; then
    6743   # Broken: success on invalid input.
    6744 continue
    6745 else
    6746   echo "$as_me: failed program was:" >&5
    6747 sed 's/^/| /' conftest.$ac_ext >&5
    6748 
    6749   # Passes both tests.
    6750 ac_preproc_ok=:
    6751 break
    6752 fi
    6753 rm -f conftest.err conftest.$ac_ext
    6754 
    6755 done
    6756 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
    6757 rm -f conftest.err conftest.$ac_ext
    6758 if $ac_preproc_ok; then
    6759   :
    6760 else
    6761   { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
    6762 See \`config.log' for more details." >&5
    6763 echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
    6764 See \`config.log' for more details." >&2;}
    6765    { (exit 1); exit 1; }; }
    6766 fi
    6767 
    6768 ac_ext=c
    6769 ac_cpp='$CPP $CPPFLAGS'
    6770 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    6771 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    6772 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    6773 
    6774 
    6775 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    6776 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    6777 if test "${ac_cv_header_stdc+set}" = set; then
    6778   echo $ECHO_N "(cached) $ECHO_C" >&6
    6779 else
    6780   cat >conftest.$ac_ext <<_ACEOF
    6781 /* confdefs.h.  */
    6782 _ACEOF
    6783 cat confdefs.h >>conftest.$ac_ext
    6784 cat >>conftest.$ac_ext <<_ACEOF
    6785 /* end confdefs.h.  */
    6786 #include <stdlib.h>
    6787 #include <stdarg.h>
    6788 #include <string.h>
    6789 #include <float.h>
    6790 
    6791 #ifdef F77_DUMMY_MAIN
    6792 
    6793 #  ifdef __cplusplus
    6794      extern "C"
    6795 #  endif
    6796    int F77_DUMMY_MAIN() { return 1; }
    6797 
    6798 #endif
    6799 int
    6800 main ()
    6801 {
    6802 
    6803   ;
    6804   return 0;
    6805 }
    6806 _ACEOF
    6807 rm -f conftest.$ac_objext
    6808 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6809   (eval $ac_compile) 2>conftest.er1
    6810   ac_status=$?
    6811   grep -v '^ *+' conftest.er1 >conftest.err
    6812   rm -f conftest.er1
    6813   cat conftest.err >&5
    6814   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6815   (exit $ac_status); } &&
    6816          { ac_try='test -z "$ac_c_werror_flag"
    6817                          || test ! -s conftest.err'
    6818   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6819   (eval $ac_try) 2>&5
    6820   ac_status=$?
    6821   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6822   (exit $ac_status); }; } &&
    6823          { ac_try='test -s conftest.$ac_objext'
    6824   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6825   (eval $ac_try) 2>&5
    6826   ac_status=$?
    6827   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6828   (exit $ac_status); }; }; then
    6829   ac_cv_header_stdc=yes
    6830 else
    6831   echo "$as_me: failed program was:" >&5
    6832 sed 's/^/| /' conftest.$ac_ext >&5
    6833 
    6834 ac_cv_header_stdc=no
    6835 fi
    6836 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6837 
    6838 if test $ac_cv_header_stdc = yes; then
    6839   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    6840   cat >conftest.$ac_ext <<_ACEOF
    6841 /* confdefs.h.  */
    6842 _ACEOF
    6843 cat confdefs.h >>conftest.$ac_ext
    6844 cat >>conftest.$ac_ext <<_ACEOF
    6845 /* end confdefs.h.  */
    6846 #include <string.h>
    6847 
    6848 _ACEOF
    6849 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6850   $EGREP "memchr" >/dev/null 2>&1; then
    6851   :
    6852 else
    6853   ac_cv_header_stdc=no
    6854 fi
    6855 rm -f conftest*
    6856 
    6857 fi
    6858 
    6859 if test $ac_cv_header_stdc = yes; then
    6860   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    6861   cat >conftest.$ac_ext <<_ACEOF
    6862 /* confdefs.h.  */
    6863 _ACEOF
    6864 cat confdefs.h >>conftest.$ac_ext
    6865 cat >>conftest.$ac_ext <<_ACEOF
    6866 /* end confdefs.h.  */
    6867 #include <stdlib.h>
    6868 
    6869 _ACEOF
    6870 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    6871   $EGREP "free" >/dev/null 2>&1; then
    6872   :
    6873 else
    6874   ac_cv_header_stdc=no
    6875 fi
    6876 rm -f conftest*
    6877 
    6878 fi
    6879 
    6880 if test $ac_cv_header_stdc = yes; then
    6881   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    6882   if test "$cross_compiling" = yes; then
    6883   :
    6884 else
    6885   cat >conftest.$ac_ext <<_ACEOF
    6886 /* confdefs.h.  */
    6887 _ACEOF
    6888 cat confdefs.h >>conftest.$ac_ext
    6889 cat >>conftest.$ac_ext <<_ACEOF
    6890 /* end confdefs.h.  */
    6891 #include <ctype.h>
    6892 #if ((' ' & 0x0FF) == 0x020)
    6893 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    6894 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    6895 #else
    6896 # define ISLOWER(c) \
    6897                    (('a' <= (c) && (c) <= 'i') \
    6898                      || ('j' <= (c) && (c) <= 'r') \
    6899                      || ('s' <= (c) && (c) <= 'z'))
    6900 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    6901 #endif
    6902 
    6903 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    6904 int
    6905 main ()
    6906 {
    6907   int i;
    6908   for (i = 0; i < 256; i++)
    6909     if (XOR (islower (i), ISLOWER (i))
    6910         || toupper (i) != TOUPPER (i))
    6911       exit(2);
    6912   exit (0);
    6913 }
    6914 _ACEOF
    6915 rm -f conftest$ac_exeext
    6916 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6917   (eval $ac_link) 2>&5
    6918   ac_status=$?
    6919   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6920   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    6921   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6922   (eval $ac_try) 2>&5
    6923   ac_status=$?
    6924   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6925   (exit $ac_status); }; }; then
    6926   :
    6927 else
    6928   echo "$as_me: program exited with status $ac_status" >&5
    6929 echo "$as_me: failed program was:" >&5
    6930 sed 's/^/| /' conftest.$ac_ext >&5
    6931 
    6932 ( exit $ac_status )
    6933 ac_cv_header_stdc=no
    6934 fi
    6935 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    6936 fi
    6937 fi
    6938 fi
    6939 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    6940 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    6941 if test $ac_cv_header_stdc = yes; then
    6942 
    6943 cat >>confdefs.h <<\_ACEOF
    6944 #define STDC_HEADERS 1
    6945 _ACEOF
    6946 
    6947 fi
    6948 
    6949 # On IRIX 5.3, sys/types and inttypes.h are conflicting.
    6950 
    6951 
    6952 
    6953 
    6954 
    6955 
    6956 
    6957 
    6958 
    6959 for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
    6960                   inttypes.h stdint.h unistd.h
    6961 do
    6962 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    6963 echo "$as_me:$LINENO: checking for $ac_header" >&5
    6964 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    6965 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    6966   echo $ECHO_N "(cached) $ECHO_C" >&6
    6967 else
    6968   cat >conftest.$ac_ext <<_ACEOF
    6969 /* confdefs.h.  */
    6970 _ACEOF
    6971 cat confdefs.h >>conftest.$ac_ext
    6972 cat >>conftest.$ac_ext <<_ACEOF
    6973 /* end confdefs.h.  */
    6974 $ac_includes_default
    6975 
    6976 #include <$ac_header>
    6977 _ACEOF
    6978 rm -f conftest.$ac_objext
    6979 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6980   (eval $ac_compile) 2>conftest.er1
    6981   ac_status=$?
    6982   grep -v '^ *+' conftest.er1 >conftest.err
    6983   rm -f conftest.er1
    6984   cat conftest.err >&5
    6985   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6986   (exit $ac_status); } &&
    6987          { ac_try='test -z "$ac_c_werror_flag"
    6988                          || test ! -s conftest.err'
    6989   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6990   (eval $ac_try) 2>&5
    6991   ac_status=$?
    6992   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6993   (exit $ac_status); }; } &&
    6994          { ac_try='test -s conftest.$ac_objext'
    6995   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6996   (eval $ac_try) 2>&5
    6997   ac_status=$?
    6998   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6999   (exit $ac_status); }; }; then
    7000   eval "$as_ac_Header=yes"
    7001 else
    7002   echo "$as_me: failed program was:" >&5
    7003 sed 's/^/| /' conftest.$ac_ext >&5
    7004 
    7005 eval "$as_ac_Header=no"
    7006 fi
    7007 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7008 fi
    7009 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7010 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7011 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    7012   cat >>confdefs.h <<_ACEOF
    7013 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    7014 _ACEOF
    7015 
    7016 fi
    7017 
    7018 done
    70197181
    70207182
     
    88258987   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88268988   -e 's:$: $lt_compiler_flag:'`
    8827    (eval echo "\"\$as_me:8827: $lt_compile\"" >&5)
     8989   (eval echo "\"\$as_me:8989: $lt_compile\"" >&5)
    88288990   (eval "$lt_compile" 2>conftest.err)
    88298991   ac_status=$?
    88308992   cat conftest.err >&5
    8831    echo "$as_me:8831: \$? = $ac_status" >&5
     8993   echo "$as_me:8993: \$? = $ac_status" >&5
    88328994   if (exit $ac_status) && test -s "$ac_outfile"; then
    88338995     # The compiler can only warn and ignore the option if not recognized
     
    90939255   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90949256   -e 's:$: $lt_compiler_flag:'`
    9095    (eval echo "\"\$as_me:9095: $lt_compile\"" >&5)
     9257   (eval echo "\"\$as_me:9257: $lt_compile\"" >&5)
    90969258   (eval "$lt_compile" 2>conftest.err)
    90979259   ac_status=$?
    90989260   cat conftest.err >&5
    9099    echo "$as_me:9099: \$? = $ac_status" >&5
     9261   echo "$as_me:9261: \$? = $ac_status" >&5
    91009262   if (exit $ac_status) && test -s "$ac_outfile"; then
    91019263     # The compiler can only warn and ignore the option if not recognized
     
    91979359   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91989360   -e 's:$: $lt_compiler_flag:'`
    9199    (eval echo "\"\$as_me:9199: $lt_compile\"" >&5)
     9361   (eval echo "\"\$as_me:9361: $lt_compile\"" >&5)
    92009362   (eval "$lt_compile" 2>out/conftest.err)
    92019363   ac_status=$?
    92029364   cat out/conftest.err >&5
    9203    echo "$as_me:9203: \$? = $ac_status" >&5
     9365   echo "$as_me:9365: \$? = $ac_status" >&5
    92049366   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    92059367   then
     
    1161411776  lt_status=$lt_dlunknown
    1161511777  cat > conftest.$ac_ext <<EOF
    11616 #line 11616 "configure"
     11778#line 11778 "configure"
    1161711779#include "confdefs.h"
    1161811780
     
    1171411876  lt_status=$lt_dlunknown
    1171511877  cat > conftest.$ac_ext <<EOF
    11716 #line 11716 "configure"
     11878#line 11878 "configure"
    1171711879#include "confdefs.h"
    1171811880
     
    1407414236   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1407514237   -e 's:$: $lt_compiler_flag:'`
    14076    (eval echo "\"\$as_me:14076: $lt_compile\"" >&5)
     14238   (eval echo "\"\$as_me:14238: $lt_compile\"" >&5)
    1407714239   (eval "$lt_compile" 2>conftest.err)
    1407814240   ac_status=$?
    1407914241   cat conftest.err >&5
    14080    echo "$as_me:14080: \$? = $ac_status" >&5
     14242   echo "$as_me:14242: \$? = $ac_status" >&5
    1408114243   if (exit $ac_status) && test -s "$ac_outfile"; then
    1408214244     # The compiler can only warn and ignore the option if not recognized
     
    1417814340   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1417914341   -e 's:$: $lt_compiler_flag:'`
    14180    (eval echo "\"\$as_me:14180: $lt_compile\"" >&5)
     14342   (eval echo "\"\$as_me:14342: $lt_compile\"" >&5)
    1418114343   (eval "$lt_compile" 2>out/conftest.err)
    1418214344   ac_status=$?
    1418314345   cat out/conftest.err >&5
    14184    echo "$as_me:14184: \$? = $ac_status" >&5
     14346   echo "$as_me:14346: \$? = $ac_status" >&5
    1418514347   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1418614348   then
     
    1574815910   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1574915911   -e 's:$: $lt_compiler_flag:'`
    15750    (eval echo "\"\$as_me:15750: $lt_compile\"" >&5)
     15912   (eval echo "\"\$as_me:15912: $lt_compile\"" >&5)
    1575115913   (eval "$lt_compile" 2>conftest.err)
    1575215914   ac_status=$?
    1575315915   cat conftest.err >&5
    15754    echo "$as_me:15754: \$? = $ac_status" >&5
     15916   echo "$as_me:15916: \$? = $ac_status" >&5
    1575515917   if (exit $ac_status) && test -s "$ac_outfile"; then
    1575615918     # The compiler can only warn and ignore the option if not recognized
     
    1585216014   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1585316015   -e 's:$: $lt_compiler_flag:'`
    15854    (eval echo "\"\$as_me:15854: $lt_compile\"" >&5)
     16016   (eval echo "\"\$as_me:16016: $lt_compile\"" >&5)
    1585516017   (eval "$lt_compile" 2>out/conftest.err)
    1585616018   ac_status=$?
    1585716019   cat out/conftest.err >&5
    15858    echo "$as_me:15858: \$? = $ac_status" >&5
     16020   echo "$as_me:16020: \$? = $ac_status" >&5
    1585916021   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1586016022   then
     
    1805918221   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1806018222   -e 's:$: $lt_compiler_flag:'`
    18061    (eval echo "\"\$as_me:18061: $lt_compile\"" >&5)
     18223   (eval echo "\"\$as_me:18223: $lt_compile\"" >&5)
    1806218224   (eval "$lt_compile" 2>conftest.err)
    1806318225   ac_status=$?
    1806418226   cat conftest.err >&5
    18065    echo "$as_me:18065: \$? = $ac_status" >&5
     18227   echo "$as_me:18227: \$? = $ac_status" >&5
    1806618228   if (exit $ac_status) && test -s "$ac_outfile"; then
    1806718229     # The compiler can only warn and ignore the option if not recognized
     
    1832718489   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1832818490   -e 's:$: $lt_compiler_flag:'`
    18329    (eval echo "\"\$as_me:18329: $lt_compile\"" >&5)
     18491   (eval echo "\"\$as_me:18491: $lt_compile\"" >&5)
    1833018492   (eval "$lt_compile" 2>conftest.err)
    1833118493   ac_status=$?
    1833218494   cat conftest.err >&5
    18333    echo "$as_me:18333: \$? = $ac_status" >&5
     18495   echo "$as_me:18495: \$? = $ac_status" >&5
    1833418496   if (exit $ac_status) && test -s "$ac_outfile"; then
    1833518497     # The compiler can only warn and ignore the option if not recognized
     
    1843118593   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1843218594   -e 's:$: $lt_compiler_flag:'`
    18433    (eval echo "\"\$as_me:18433: $lt_compile\"" >&5)
     18595   (eval echo "\"\$as_me:18595: $lt_compile\"" >&5)
    1843418596   (eval "$lt_compile" 2>out/conftest.err)
    1843518597   ac_status=$?
    1843618598   cat out/conftest.err >&5
    18437    echo "$as_me:18437: \$? = $ac_status" >&5
     18599   echo "$as_me:18599: \$? = $ac_status" >&5
    1843818600   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1843918601   then
     
    2260122763s,@MPIF77@,$MPIF77,;t t
    2260222764s,@FLIBS@,$FLIBS,;t t
     22765s,@CPP@,$CPP,;t t
     22766s,@EGREP@,$EGREP,;t t
    2260322767s,@MY_DEFS@,$MY_DEFS,;t t
    22604 s,@EGREP@,$EGREP,;t t
    2260522768s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
    2260622769s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
     
    2265922822s,@RANLIB@,$RANLIB,;t t
    2266022823s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
    22661 s,@CPP@,$CPP,;t t
    2266222824s,@CXX@,$CXX,;t t
    2266322825s,@CXXFLAGS@,$CXXFLAGS,;t t
  • ThirdParty/Mumps/stable/1.1/configure.ac

    r1158 r1161  
    8383  ;;
    8484esac
     85
     86# check for pthread.h header file
     87AC_COIN_CHECK_HEADER([pthread.h],,[MY_DEFS="$MY_DEFS -DWITHOUT_PTHREAD=1"])
     88
    8589MY_DEFS="$MY_DEFS -DALLOW_NON_INIT"
    8690AC_SUBST(MY_DEFS)
  • ThirdParty/Mumps/stable/1.1/get.Mumps

    r1155 r1161  
    66
    77set -e
    8 
    9 uname=`uname`
    10 case "$uname" in
    11   MINGW* | CYGWIN*)
    12     patch=yes
    13     ;;
    14 esac
    158
    169wgetcmd=wget
     
    4740mv MUMPS_${mumps_ver} MUMPS
    4841
    49 if test "$patch" = yes; then
    50   echo "Applying a patch for version 4.7.3"
    51   patch -p0 < mumps_4.7.3.Win.patch
    52 fi
     42#uname=`uname`
     43#case "$uname" in
     44#  MINGW* | CYGWIN*)
     45#    echo "Applying a patch for version 4.7.3"
     46#    patch -p0 < mumps_4.7.3.Win.patch
     47#  ;;
     48#esac
    5349
    5450echo " "
Note: See TracChangeset for help on using the changeset viewer.